Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Model.FacetID

Enclosing interface:
  Model

    public static interface Model.FacetID

system facet frame ids.

Author:
  Ray Fergerson

Field Summary
`static FrameID` | `CARDINALITY`
`static FrameID` | `COLLECTION_TYPE`
`static FrameID` | `CONSTRAINTS`
`static FrameID` | `DEFAULTS`
`static FrameID` | `DIRECT_TEMPLATE_FACETS`
`static FrameID` | `DOCUMENTATION`
`static FrameID` | `INVERSE`
`static FrameID` | `MAXIMUM_CARDINALITY`
`static FrameID` | `MINIMUM_CARDINALITY`
`static FrameID` | `MODIFICATION_TIMESTAMP`
`static FrameID` | `MODIFIER`
`static FrameID` | `NOT_SAME_VALUES`
`static FrameID` | `NUMERIC_MAXIMUM`
`static FrameID` | `NUMERIC_MINIMUM`
`static FrameID` | `SAME_VALUES`
`static FrameID` | `SOME_VALUES`
`static FrameID` | `SUBSET_OF_VALUES`
`static FrameID` | `VALUE_TYPE`
`static FrameID` | `VALUES`

Field Detail

### DIRECT_TEMPLATE_FACETS

    static final FrameID DIRECT_TEMPLATE_FACETS

### DOCUMENTATION

    static final FrameID DOCUMENTATION

### DEFAULTS

    static final FrameID DEFAULTS

### CONSTRAINTS

    static final FrameID CONSTRAINTS

### VALUE_TYPE

    static final FrameID VALUE_TYPE

### INVERSE

    static final FrameID INVERSE

### CARDINALITY

    static final FrameID CARDINALITY

### MAXIMUM_CARDINALITY

    static final FrameID MAXIMUM_CARDINALITY

### MINIMUM_CARDINALITY

    static final FrameID MINIMUM_CARDINALITY

### SAME_VALUES

    static final FrameID SAME_VALUES

### NOT_SAME_VALUES

    static final FrameID NOT_SAME_VALUES

### SUBSET_OF_VALUES

    static final FrameID SUBSET_OF_VALUES

### NUMERIC_MINIMUM

    static final FrameID NUMERIC_MINIMUM

### NUMERIC_MAXIMUM

    static final FrameID NUMERIC_MAXIMUM

### SOME_VALUES

    static final FrameID SOME_VALUES

### COLLECTION_TYPE

    static final FrameID COLLECTION_TYPE

### VALUES

    static final FrameID VALUES

### MODIFIER

    static final FrameID MODIFIER

### MODIFICATION_TIMESTAMP

    static final FrameID MODIFICATION_TIMESTAMP

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.